function [fv,sp] = filtvert(y,x1,x2,eta,pini,beta1,beta2,sig,nlab);

% FILTVERT filterverteilung
% function call

y=y-x1*beta1;
p = pini;
n = length(y)/nlab+1;
nst=size(beta2,2);
fv = zeros(n,length(pini));
lh=zeros(n-1,length(pini));
maxl=zeros(n-1,length(pini));

y=reshape(y,nlab,1,n-1);
x2m=zeros(nlab,nst,n-1);
for i=1:nst;
   beta2m=beta2(:,i)';
   x2m(:,i,:)=sum(x2.*beta2m(ones(1,nlab),1:end,ones(1,n-1)),2);
end
[lh  maxl] = multlikeli(y,x2m,beta2,sig);    % use likelihood function
fv(1,:) = pini';
sp = 0;

for i = 2:n
    ext = eta'*p;
    p = ext.*lh(i-1,:)';
    sp = sp + log(sum(p))+maxl(i-1);
    p = p / sum(p);
    fv(i,:) = p';
end

