function [lh, maxl] = multlikeli_MS2(y1,y2,sig);
% multlikeli multivariate likelihood (ohne kuerzen der normierungskonstnate)

nst=2;
n = size(y1,2); 
flg=zeros(n,nst);
fln = -0.5*n*(log(2*pi)+log(sig));
flg(:,1) = -0.5*sum(y1.*y1,2)/sig;
flg(:,2) = -0.5*sum(y2.*y2,2)/sig;
llh = fln+flg;

maxl = max(llh,[],2);
lh = squeeze(exp(llh - maxl(:,ones(nst,1))));
maxl=squeeze(maxl);
