ctries=['AUT';'BEL';'DEU';'ESP';'FIN';'FRA';'GRC';'IRL';'ITA';'LUX';'NLD';'PRT';'DNK';'GBR';'SWE';'CHE';'NOR';'AUS';'CAN';'JPN';'USA'];
% ctries=['AUT';'BEL';'DEU';'ESP';'FIN';'FRA';'GRC';'IRL';'ITA';'LUX';'NLD';'PRT';'DNK';'GBR';'SWE';'NOR';'CAN';'JPN';'USA'];

str=['b';'y';'g';'r';'k';'c'];
strM=['o';'s';'*'];

% est=0;
daten_read_rev;
dum_ind= squeeze(sum(Z(:,dd+lag_dlo+1:end,:),2));

it=size(pr1,1);
y_gr=dlo_obs(end-it+1:end,:);
y_gr=y_gr-kron(ones(size(y_gr,1),1),mean(y_gr,1));
nctr=size(y_gr,2);

if K==1;
    prob=ones(1,size(y_gr,2));
end

mat_mean=zeros(length(ctry),3);

mat_mean(:,1)=mean(y_gr,1)';
for j=1:K;
    for k=1:nctr
        mat_mean(k,2)=mat_mean(k,2)+mean(y_gr(((pr1(:,j+1)==0).*(1-dum_ind(:,k)))==1,k),1)'.*prob(j,k)';
        mat_mean(k,3)=mat_mean(k,3)+mean(y_gr(((pr1(:,j+1)==1).*(1-dum_ind(:,k)))==1,k),1)'.*prob(j,k)';
    end
end
[ctries(1:length(ctry),:) num2str(mat_mean,'%6.2f')]

maxm0=max(mat_mean(:,3));
minm0=min(mat_mean(:,3));
maxm1=max(mat_mean(:,2));
minm1=min(mat_mean(:,2));

figure(gcf+1)
for j=1:K
scatter(mat_mean(prob(j,:)==1,3),mat_mean(prob(j,:)==1,2),strM(j),'filled')
hold on;
end
% axis([minm0-0.5 maxm0+0.5 minm1-0.5 maxm1+0.5])
axis([minm0-0.5 maxm0+0.5 -0.1 1.0])
set(gca,'FontSize',14)
ylabel('mean growth rate, I _k_t=1','FontSize',14);
xlabel('mean growth rate, I_k_t=0','FontSize',14);

for j=1:length(ctry)
    text(mat_mean(j,3)-0.02,mat_mean(j,2),ctries(j,:),'VerticalAlignment','middle','HorizontalAlignment','right','FontSize',14)
end

