function Q = qinmatr(Qcol)

% fuer symm. Matrizen Umkehrung zu Programm qincol

% wandelt eine Spalte der dim dd*(dd+1)/2 eine quadrat Matrix der dim dd in eine quadrat Matrix der dim dd um
% wobei die Elemente der Spalte in die obige Dreiecksmatrix spaltenweise nebeneinander geschrieben werden
% und die Matrix zu einer symmetr. Matrix ergaenzt wird

% input: Qcol .. [dd*(dd+1)/2]x1
% output: Q .. ddxdd

D = size(Qcol,1);
dd = -.5 + (.25 + 2*D)^.5;

Q=zeros(dd*dd,1);
index=triu(reshape(1:dd*dd,dd,dd));
Q(index(index~=0))=Qcol;
Q=reshape(Q,dd,dd);
Q=Q+Q'-diag(diag(Q));