function [lh, maxl] = multlikeli(y,Z,beta,sig);
% multlikeli multivariate likelihood (ohne kuerzen der normierungskonstnate)

nst=size(beta,2);
n=size(y,3);
%mvec=(Z*beta(:,:,ones(1,n));
mvec=Z;
k = size(y,1);
m = size(beta,2);
fln = 0.5*sum(log(sig.^-1))-0.5*k*log(2*pi);

prv=sqrt(sig(:,ones(1,m),ones(1,n)).^-1);
v=prv.*(y(:,ones(1,m),:)-mvec);
flg = -0.5*sum(v.*v,1);
llh = fln+flg;

maxl = max(llh,[],2);
lh = squeeze(exp(llh - maxl(:,ones(nst,1),:)))';
maxl=squeeze(maxl);
